%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% v2f
% Desciption: convert tracer vector to field for use in matrix
% calculations, based on code from Jake Gebbie.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [field] = v2f(vector,i,j,k)

NZ = max(k);
NY = max(j);
NX = max(i);
NVEC = length(vector);
field = nan(NZ,NY,NX);
for nv = 1:NVEC
 field(k(nv),j(nv),i(nv)) = vector(nv);
end
